oracle.kv

## Enum Direction

- java.lang.Object
- - java.lang.Enum<Direction>
  - - oracle.kv.Direction

- All Implemented Interfaces:
    Serializable, Comparable<Direction>

      public enum Direction
      extends Enum<Direction>

  Used with iterator operations to specify the order that keys are returned.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FORWARD` Iterate in ascending key order.
    `REVERSE` Iterate in descending key order.
    `UNORDERED` Iterate in no particular key order.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Direction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FORWARD

          public static final Direction FORWARD

      Iterate in ascending key order.

    - #### REVERSE

          public static final Direction REVERSE

      Iterate in descending key order.

    - #### UNORDERED

          public static final Direction UNORDERED

      Iterate in no particular key order.

  - ### Method Detail

    - #### values

          public static Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Direction c : Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Direction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.